Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl.apache
Class StreamClientImpl

    java.lang.Object
      org.teleal.cling.transport.impl.apache.StreamClientImpl

All Implemented Interfaces:
  StreamClient<StreamClientConfigurationImpl>

    public class StreamClientImpl

extends Object
implements StreamClient<StreamClientConfigurationImpl>

Nested Class Summary
`protected class` | `StreamClientImpl.ResponseMetadata`

Field Summary
`protected org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager` | `clientConnectionManager`
`protected StreamClientConfigurationImpl` | `configuration`
`protected org.apache.http.params.HttpParams` | `globalParams`
`protected org.apache.http.impl.client.DefaultHttpClient` | `httpClient`
`protected Router` | `router`

Constructor Summary
`StreamClientImpl(StreamClientConfigurationImpl configuration)`

Method Summary
`protected org.apache.http.client.methods.HttpUriRequest` | `createHttpRequest(UpnpMessage upnpMessage, UpnpRequest upnpRequestOperation)`
`protected org.apache.http.HttpEntity` | `createHttpRequestEntity(UpnpMessage upnpMessage)`
`protected org.apache.http.client.ResponseHandler` | `createResponseHandler(StreamClientImpl.ResponseMetadata metadata)`
`protected StreamResponseMessage` | `createResponseMessage(StreamClientImpl.ResponseMetadata httpResponseMetadata, Object httpResponseBody)`
`StreamClientConfigurationImpl` | `getConfiguration()`
`protected org.apache.http.params.HttpParams` | `getRequestParams(StreamRequestMessage requestMessage)`
`void` | `init(Router router)`
`StreamResponseMessage` | `sendRequest(StreamRequestMessage requestMessage)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### router

    protected Router router

### configuration

    protected StreamClientConfigurationImpl configuration

### clientConnectionManager

    protected org.apache.http.impl.conn.tsccm.ThreadSafeClientConnManager clientConnectionManager

### httpClient

    protected org.apache.http.impl.client.DefaultHttpClient httpClient

### globalParams

    protected org.apache.http.params.HttpParams globalParams

Constructor Detail

### StreamClientImpl

    public StreamClientImpl(StreamClientConfigurationImpl configuration)

Method Detail

### getConfiguration

    public StreamClientConfigurationImpl getConfiguration()

  Specified by:
    `getConfiguration` in interface `StreamClient<StreamClientConfigurationImpl>`

### init

    public void init(Router router)
              throws InitializationException

  Specified by:
    `init` in interface `StreamClient<StreamClientConfigurationImpl>`
  Throws:
    `InitializationException`

### sendRequest

    public StreamResponseMessage sendRequest(StreamRequestMessage requestMessage)

  Specified by:
    `sendRequest` in interface `StreamClient<StreamClientConfigurationImpl>`

### createHttpRequest

    protected org.apache.http.client.methods.HttpUriRequest createHttpRequest(UpnpMessage upnpMessage,
                                                                              UpnpRequest upnpRequestOperation)
                                                                       throws org.apache.http.MethodNotSupportedException

  Throws:
    `org.apache.http.MethodNotSupportedException`

### createHttpRequestEntity

    protected org.apache.http.HttpEntity createHttpRequestEntity(UpnpMessage upnpMessage)

### createResponseMessage

    protected StreamResponseMessage createResponseMessage(StreamClientImpl.ResponseMetadata httpResponseMetadata,
                                                          Object httpResponseBody)
                                                   throws org.apache.http.client.ClientProtocolException

  Throws:
    `org.apache.http.client.ClientProtocolException`

### createResponseHandler

    protected org.apache.http.client.ResponseHandler createResponseHandler(StreamClientImpl.ResponseMetadata metadata)

### getRequestParams

    protected org.apache.http.params.HttpParams getRequestParams(StreamRequestMessage requestMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.